Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.feedback
Class FeedbackKBObject

    java.lang.Object
      mauda.feedback.FeedbackKBObject

    public class FeedbackKBObject

extends java.lang.Object

Storage of one element from the feedback-knowledge-base.

Author:
  Markus Krebs

Field Summary
`static int` | `CORRECT` Defines that the state of the object describes a correct operation
`static int` | `DONTMATTER` Defines that the state of the object describes a operation which correctness is undefined.
`static int` | `INCORRECT` Defines that the state of the object describes a incorrect operation

Constructor Summary
`FeedbackKBObject()` Creates a FeedbackKBObject

Method Summary
`java.lang.String` | `getFormula()` Gets the formula
`java.lang.String` | `getMessage()` Gets the first message
`java.util.Vector` | `getMessages()` Gets all messages as a Vector
`void` | `setFormula(java.lang.String f)` Sets the formula
`void` | `setMessages(java.util.Vector m)` Sets the messages
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CORRECT

    public static final int CORRECT

  Defines that the state of the object describes a correct operation

  See Also:
    Constant Field Values

### INCORRECT

    public static final int INCORRECT

  Defines that the state of the object describes a incorrect operation

  See Also:
    Constant Field Values

### DONTMATTER

    public static final int DONTMATTER

  Defines that the state of the object describes a operation which correctness is undefined.

  See Also:
    Constant Field Values

Constructor Detail

### FeedbackKBObject

    public FeedbackKBObject()

  Creates a FeedbackKBObject

Method Detail

### setFormula

    public void setFormula(java.lang.String f)

  Sets the formula

  Parameters:
    `f` - formula

### setMessages

    public void setMessages(java.util.Vector m)

  Sets the messages

  Parameters:
    `m` - Vector of messages

### getFormula

    public java.lang.String getFormula()

  Gets the formula

  Returns:
    formula

### getMessage

    public java.lang.String getMessage()

  Gets the first message

  Returns:
    message

### getMessages

    public java.util.Vector getMessages()

  Gets all messages as a Vector

  Returns:
    vector of messages

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD